CREATE procedure [C6StagingPeriodico].[RP_ST_PosizioniPortafoglio_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_PosizioniPortafoglio_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_PosizioniPortafoglio
	insert into C6StagingPeriodico.RP_PosizioniPortafoglio
	select 
chiavePosizionePtf,
chiaveProgetto,
dtInizioValidita,
'99991231' as[dtFineValidita],
chiaveProdotto,
conto,
rubricato,
codConf,
numPolizza,
custGar,
codAbi,
termId,
anno,
prog
  from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.PosizioniPortafoglio
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_PosizioniPortafoglio_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_PosizioniPortafoglio_pre_selective'
		)
end